Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.editor
Class DefaultChartEditorFactory

    java.lang.Object
      org.jfree.chart.editor.DefaultChartEditorFactory

All Implemented Interfaces:
  ChartEditorFactory

    public class DefaultChartEditorFactory

extends java.lang.Object
implements ChartEditorFactory

A default implementation of the `ChartEditorFactory` interface.

Constructor Summary
`DefaultChartEditorFactory()` Creates a new instance.

Method Summary
`ChartEditor` | `createEditor(JFreeChart chart)` Returns a new instance of a `ChartEditor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultChartEditorFactory

    public DefaultChartEditorFactory()

  Creates a new instance.

Method Detail

### createEditor

    public ChartEditor createEditor(JFreeChart chart)

  Returns a new instance of a `ChartEditor`.

  Specified by:
    `createEditor` in interface `ChartEditorFactory`
  Parameters:
    `chart` - the chart.
  Returns:
    A chart editor for the given chart.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.